Bug 163398 - Mozilla PkgConfig files need updating
Summary: Mozilla PkgConfig files need updating
Keywords:
Status: CLOSED DUPLICATE of bug 163344
Alias: None
Product: Fedora
Classification: Fedora
Component: mozilla
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Christopher Aillon
QA Contact: Ben Levenson
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-07-15 20:30 UTC by Ryan Skadberg
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-07-16 03:50:49 UTC
Type: ---


Attachments (Terms of Use)

Description Ryan Skadberg 2005-07-15 20:30:27 UTC
[skadz@codewarrior pkgconfig]$ pkg-config --libs mozilla-gtkmozembed
Package mozilla-nspr was not found in the pkg-config search path.
Perhaps you should add the directory containing `mozilla-nspr.pc'
to the PKG_CONFIG_PATH environment variable
Package 'mozilla-nspr', required by 'XPCOM', not found


In /usr/lib/pkgconfig/mozilla-xpcom.pc

This:

Requires: mozilla-nspr = 1.7.8

Shoudl be Changed to:

Requires: nspr = 1.7.8

Comment 1 Ryan Skadberg 2005-07-15 20:31:07 UTC
Actually to

Requires: nspr

Comment 2 Ryan Skadberg 2005-07-15 20:36:34 UTC
Hmm, this seems to cause a lot of issues too.  Trying to compile something
against mozilla and am getting errors all over the place with this change.  Any
ideas of the correct fix here?

Comment 3 Christopher Aillon 2005-07-16 03:50:49 UTC

*** This bug has been marked as a duplicate of 163344 ***


Note You need to log in before you can comment on or make changes to this bug.